### Enumeration

# Pango RenderComponent

since: 1.58

#### Declaration

    flags Pango.RenderComponent

#### Description [src]

Flags that specify which components of a layout to include in renderer output.

This is more or less parallel to the `PangoRenderPart` enum, but allows separating plain and color glyphs, and specifying more than one component.

Available since: 1.58

#### Members

`PANGO_RENDER_COMPONENT_NONE`

  No components.

  - Value: `0`
  - Available since: 1.58
`PANGO_RENDER_COMPONENT_PLAIN_GLYPH`

  The plain glyphs of the layout.

  - Value: `2`
  - Available since: 1.58
`PANGO_RENDER_COMPONENT_COLOR_GLYPH`

  The color glyphs of the layout.

  - Value: `4`
  - Available since: 1.58
`PANGO_RENDER_COMPONENT_BACKGROUND`

  Background of the layout.

  - Value: `8`
  - Available since: 1.58
`PANGO_RENDER_COMPONENT_UNDERLINE`

  Underlines of the layout.

  - Value: `8`
  - Available since: 1.58
`PANGO_RENDER_COMPONENT_STRIKETHROUGH`

  Strikethrough lines of the layout.

  - Value: `16`
  - Available since: 1.58
`PANGO_RENDER_COMPONENT_OVERLINE`

  Overlines of the layout.

  - Value: `32`
  - Available since: 1.58